---
title: VRFrameData.VRFrameData()
slug: Web/API/VRFrameData/VRFrameData
tags:
  - API
  - Constructor
  - Experimental
  - Reference
  - VR
  - VRFrameData
  - Virtual Reality
  - WebVR
---
<div>{{APIRef("WebVR API")}}{{SeeCompatTable}}</div>

<p>The {{domxref("VRFrameData")}} constructor creates a <code>VRFrameData</code> object instance.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">var myFrameData = new VRFrameData();</pre>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h2 id="Examples">Examples</h2>

<p>{{page("/Web/API/VRDisplay/getFrameData", "Examples")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebVR 1.1', '#dom-vrframedata-vrframedata', 'VRFrameData()')}}</td>
   <td>{{Spec2('WebVR 1.1')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.VRFrameData.VRFrameData")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/WebVR_API">WebVR API homepage</a></li>
 <li><a href="http://mozvr.com/">MozVr.com</a> — demos, downloads, and other resources from the Mozilla VR team.</li>
</ul>
